program phase_unwrapper

use sep
use unwrap_mod
implicit none

integer					:: niter, n1, n2
real, allocatable, dimension(:)		:: input
complex,    allocatable, dimension(:,:)	:: output


 call sep_init()
 call from_history("n1" ,n1   , 10)
 call from_history("n2" ,n2   , 10)
 call from_param("niter",niter, 10)

allocate( input(n1*n2) , output(n1,n2) )

 call sep_read(input)
 call unwrapper( output, input, niter)
 call sep_write(output)

 call sep_close()
end program

