program sdrAddPhase
  ! phase*pi is what I subtract
  use sep
  implicit none

  integer             :: n1,n2,n3,n4
  integer             :: ii,jj,kk,ll
  complex,allocatable :: trace(:)
  real                :: phase

  real,parameter      :: pi = 3.14159265359

  call sep_init()

  call from_history('n1',n1)
  call from_history('n2',n2)
  call from_history('n3',n3)
  call from_history('n4',n4)

  call from_param('phase',phase,0.) ! phase*pi is what I subtract

  call sep_close()

  allocate(trace(n1))
  
  do ll=1,n4
  do kk=1,n3
  do jj=1,n2

    !call sreed('in' ,trace,8*n1)
    call sep_read(trace)
    trace = trace*cexp(cmplx(0.,phase*pi))
    call sep_write(trace)
    !call srite('out',trace,8*n1)

  end do
  end do
  end do

  deallocate(trace)


end program
