program srPhase2DT

  use sep
  implicit none

  integer             :: n1,n2,n3,n4,n1xy,n2xy
  integer             :: ii,jj,kk,ll
  real                :: d1,o1
  
  real,parameter      :: pi = 3.14159265359
  real                :: f
  
  
  real   ,allocatable :: trace(:)

  call sep_init()

  call from_history('n1',n1,1 )
  call from_history('n2',n2,1 )
  call from_history('n3',n3,1 )
  call from_history('n4',n4,1 )
  call from_history('o1',o1,0.)
  call from_history('d1',d1,1.)

  call sep_close()

  allocate(trace(n1))

  do ll=1,n4
  do kk=1,n3
  do jj=1,n2
    
    call sreed('in' ,trace,4*n1)
    
    do ii=1,n1
      f = o1 + (ii-1)*d1
      trace(ii) = -trace(ii)/(f*2*pi)
    end do
    
    call srite('out',trace,4*n1)
    
  end do
  end do
  end do


  deallocate(trace)

end program
