module taper_mod

contains

subroutine get_taper(taper,nft,dft,oft,wt1,wt2,delx,c0)
  implicit none
  integer                       :: nft
  real                          :: oft,dft,c0,delx,wt1,wt2
  real                          :: taper(nft)
  integer                       :: tnul,ind,it
  real, parameter               :: pi=3.1415926535
  
  taper =  0.
  tnul  = (nint(-oft/dft)+1) + (delx/c0/dft)
  !write(0,*) 'tnul',tnul!
  ind=tnul+nft/2
  
  do it=1,wt2/dft
    ind= wt1/2/dft+tnul+it+nft/2
    if (ind.gt.nft) ind = ind-nft 
    taper(ind)=(1.+cos( it*dft/wt2*pi ))/2.
  end do
  do it=-wt1/2/dft-1,wt1/2/dft
    ind=tnul+it+nft/2
    if (ind.gt.nft) ind = ind-nft 
    taper(ind) = 1.
  end do
  do it=1,wt2/dft
    ind=-wt1/2/dft+tnul-it+nft/2
    if (ind.gt.nft) ind = ind-nft 
    taper(ind)=(1.+cos(-it*dft/wt2*pi ))/2.
  end do
  
end subroutine

end module
