program SDR_XY2_CMPLX

  use sep
  implicit none
  integer    :: n1,n2,n3,ii
  real,allocatable,dimension(:,:) :: datain
  complex,allocatable,dimension(:) :: datout

  call sep_init()

  call from_history('n1',n1,1)
  call from_history('n2',n2,1)
  call from_history('n3',n3,1)

  if (n1.ne.2) then
    write(0,*) 'n1.ne.2'
    call exit(0)
  end if

  call to_history('n1',n2)
  call to_history('n2',n3)
  call to_history('n3', 1)

  call to_history('esize',8)
  
  call sep_close()

  allocate(datain(n1,n2),datout(n2))

  do ii=1,n3
    call sep_read(datain)
    datout = cmplx( datain(1,:), datain(2,:) )
    call sep_write(datout)
  end do

  deallocate(datain,datout)
  call exit(0)

end program
